summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlexandru DAMIAN <alexandru.damian@intel.com>2014-03-28 15:30:35 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-03-28 17:44:21 +0000
commit59f2f33440449c586c23dd3a192698a37aaf0595 (patch)
tree0c5405b378ffcfc6626447f2790b86e6b45e7a63 /bin
parent81f41a806aeddcc38992163557672e296bcbc967 (diff)
downloadbitbake-contrib-59f2f33440449c586c23dd3a192698a37aaf0595.tar.gz
bitbake: toaster: do not trap SIGCHLD
We remove trapping SIGCHLD due to a weird interaction with the bash version used with Ubuntu 14.04 LTS. Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/toaster4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/toaster b/bin/toaster
index b27f7c28b..dea69a465 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -86,7 +86,7 @@ function stop_system()
# force stop any misbehaving bitbake server
lsof bitbake.lock | awk '{print $2}' | grep "[0-9]\+" | xargs -n1 -r kill
trap - SIGHUP
- trap - SIGCHLD
+ #trap - SIGCHLD
INSTOPSYSTEM=0
}
@@ -203,7 +203,7 @@ case $CMD in
# stop system on terminal exit
set -o monitor
trap stop_system SIGHUP
- trap notify_chldexit SIGCHLD
+ #trap notify_chldexit SIGCHLD
;;
stop )
stop_system